Skip to content
Start here

Site LAN Details

client.magicTransit.sites.lans.get(stringsiteId, stringlanId, LANGetParams { account_id } params, RequestOptionsoptions?): LAN { id, bond_id, ha_link, 9 more }
GET/accounts/{account_id}/magic/sites/{site_id}/lans/{lan_id}

Get a specific Site LAN.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
siteId: string

Identifier

maxLength32
lanId: string

Identifier

maxLength32
params: LANGetParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
LAN { id, bond_id, ha_link, 9 more }
id?: string

Identifier

maxLength32
bond_id?: number
is_breakout?: boolean

mark true to use this LAN for source-based breakout traffic

is_prioritized?: boolean

mark true to use this LAN for source-based prioritized traffic

name?: string
nat?: Nat { static_prefix }
static_prefix?: string

A valid CIDR notation representing an IP range.

physport?: number
routed_subnets?: Array<RoutedSubnet { next_hop, prefix, nat } >
next_hop: string

A valid IPv4 address.

prefix: string

A valid CIDR notation representing an IP range.

nat?: Nat { static_prefix }
static_prefix?: string

A valid CIDR notation representing an IP range.

site_id?: string

Identifier

maxLength32
static_addressing?: LANStaticAddressing { address, dhcp_relay, dhcp_server, 2 more }

If the site is not configured in high availability mode, this configuration is optional (if omitted, use DHCP). However, if in high availability mode, static_address is required along with secondary and virtual address.

address: string

A valid CIDR notation representing an IP range.

dhcp_relay?: DHCPRelay { server_addresses }
server_addresses?: Array<string>

List of DHCP server IPs.

dhcp_server?: DHCPServer { dhcp_options, dhcp_pool_end, dhcp_pool_start, 3 more }
dhcp_options?: Array<DHCPOption>

Optional list of custom DHCP options to include in DHCP responses. Only valid when DHCP server is enabled.

code: number

DHCP option number (1-254). Options 0 and 255 are reserved by RFC 2132. Options 3, 6, and 51 are not allowed because they conflict with connector-managed configuration.

maximum254
minimum1
type: "text" | "hex" | "ip" | 3 more

The type of the option value. text: a string (max 255 bytes). hex: colon-separated hex bytes (e.g. “01:04:aa:bb:cc”, max 255 bytes). ip: an IPv4 address (e.g. “10.20.30.40”). byte: an unsigned integer 0-255 (1 byte). short: an unsigned integer 0-65535 (2 bytes). integer: an unsigned integer 0-4294967295 (4 bytes).

One of the following:
"text"
"hex"
"ip"
"byte"
"short"
"integer"
value: string

The option value, interpreted according to the type field.

dhcp_pool_end?: string

A valid IPv4 address.

dhcp_pool_start?: string

A valid IPv4 address.

dns_server?: string

A valid IPv4 address.

dns_servers?: Array<string>
reservations?: Record<string, string>

Mapping of MAC addresses to IP addresses

secondary_address?: string

A valid CIDR notation representing an IP range.

virtual_address?: string

A valid CIDR notation representing an IP range.

vlan_tag?: number

VLAN ID. Use zero for untagged.

Site LAN Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const lan = await client.magicTransit.sites.lans.get(
  '023e105f4ecef8ad9ca31a8372d0c353',
  '023e105f4ecef8ad9ca31a8372d0c353',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(lan.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "bond_id": 2,
    "ha_link": true,
    "is_breakout": true,
    "is_prioritized": true,
    "name": "name",
    "nat": {
      "static_prefix": "192.0.2.0/24"
    },
    "physport": 1,
    "routed_subnets": [
      {
        "next_hop": "192.0.2.1",
        "prefix": "192.0.2.0/24",
        "nat": {
          "static_prefix": "192.0.2.0/24"
        }
      }
    ],
    "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "static_addressing": {
      "address": "192.0.2.0/24",
      "dhcp_relay": {
        "server_addresses": [
          "192.0.2.1"
        ]
      },
      "dhcp_server": {
        "dhcp_options": [
          {
            "code": 66,
            "type": "ip",
            "value": "10.20.30.40"
          }
        ],
        "dhcp_pool_end": "192.0.2.1",
        "dhcp_pool_start": "192.0.2.1",
        "dns_server": "192.0.2.1",
        "dns_servers": [
          "192.0.2.1"
        ],
        "reservations": {
          "00:11:22:33:44:55": "192.0.2.100",
          "AA:BB:CC:DD:EE:FF": "192.168.1.101"
        }
      },
      "secondary_address": "192.0.2.0/24",
      "virtual_address": "192.0.2.0/24"
    },
    "vlan_tag": 42
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "bond_id": 2,
    "ha_link": true,
    "is_breakout": true,
    "is_prioritized": true,
    "name": "name",
    "nat": {
      "static_prefix": "192.0.2.0/24"
    },
    "physport": 1,
    "routed_subnets": [
      {
        "next_hop": "192.0.2.1",
        "prefix": "192.0.2.0/24",
        "nat": {
          "static_prefix": "192.0.2.0/24"
        }
      }
    ],
    "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "static_addressing": {
      "address": "192.0.2.0/24",
      "dhcp_relay": {
        "server_addresses": [
          "192.0.2.1"
        ]
      },
      "dhcp_server": {
        "dhcp_options": [
          {
            "code": 66,
            "type": "ip",
            "value": "10.20.30.40"
          }
        ],
        "dhcp_pool_end": "192.0.2.1",
        "dhcp_pool_start": "192.0.2.1",
        "dns_server": "192.0.2.1",
        "dns_servers": [
          "192.0.2.1"
        ],
        "reservations": {
          "00:11:22:33:44:55": "192.0.2.100",
          "AA:BB:CC:DD:EE:FF": "192.168.1.101"
        }
      },
      "secondary_address": "192.0.2.0/24",
      "virtual_address": "192.0.2.0/24"
    },
    "vlan_tag": 42
  },
  "success": true
}